"tratando de sobrescribir '/usr/share/accounts/services/google-im.service', que también está en el paquete account-plugin-google 0.12 + 15.04.20150415.1-0ubuntu2"

19

Estoy intentando actualizar y actualizar mi kubuntu 15.04. Después de intentar instalar todas las actualizaciones, recibí el siguiente mensaje de error:

The following extra packages will be installed:
kde-config-telepathy-accounts
The following packages will be upgraded:
kde-config-telepathy-accounts
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/122 kB of archives.
After this operation, 1.948 kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 626049 files and directories currently installed.)
Preparing to unpack .../kde-config-telepathy-accounts_15.04.0-0ubuntu1~ubuntu15.04~ppa1_amd64.deb ...
Unpacking kde-config-telepathy-accounts (15.04.0-0ubuntu1~ubuntu15.04~ppa1) over (0.9.0-0ubuntu1) ...
dpkg: error processing archive /var/cache/apt/archives/kde-config-telepathy-accounts_15.04.0-0ubuntu1~ubuntu15.04~ppa1_amd64.deb (--unpack):
trying to overwrite '/usr/share/accounts/services/google-im.service', which is also in package account-plugin-google 0.12+15.04.20150415.1-0ubuntu2
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
E: Sub-process /usr/bin/dpkg returned an error code (1)

¿Cómo puedo solucionar este problema?

    
pregunta diegobonatto 05.05.2015 - 01:28

3 respuestas

16

Eliminar los paquetes conflictivos funciona alrededor del problema, hasta que se resuelva correctamente.

sudo apt-get purge -f unity-scope-gdrive account-plugin-google account-plugin-facebook
    
respondido por el Alisson Silveira 19.08.2015 - 12:28
4

El problema se solucionó al eliminar kde-telepatía utilizando el administrador de paquetes Synaptic, y ahora las funciones de actualización y actualización vuelven a funcionar.

    
respondido por el karel 08.02.2016 - 09:07
4

Vi la respuesta de Alisson Silveira , y estaba cerca, pero apt aún estaba roto después de eso. La única forma que encontré para arreglarlo fue:

sudo apt remove unity-scope-gdrive account-plugin-google account-plugin-facebook kde-telepathy-minimal kde-telepathy

¡Qué desastre!

    
respondido por el localhost 06.10.2016 - 14:12

Lea otras preguntas en las etiquetas